package com.ruoyi.system.domain.loan;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 贷款申请_附件对象 loan_application_fj
 * 
 * @author boman
 * @date 2024-04-24
 */
public class LoanApplicationFj extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 附件ID */
    private Long fjId;

    /** 贷款申请id */
    @Excel(name = "贷款申请id")
    private Long loanApplicationId;

    /** 贷款申请编号 */
    @Excel(name = "贷款申请编号")
    private String loanApplicationNumber;

    /** 原文件名称 */
    @Excel(name = "原文件名称")
    private String oldName;

    /** 附件名称 */
    @Excel(name = "附件名称")
    private String name;

    /** 附件地址 */
    @Excel(name = "附件地址")
    private String url;

    /** 文件类型 1：公司章程，2：开户许可证 3：申请企业征信报告 4：关联企业征信报告 5：企业法人征信报告 6.实际控股人征信报告 7:实际控股人配偶征信报告，8：法人身份证人面像，9：法人身份证国徽面，10：法人配偶身份证人面像，11：法人配偶身份证国徽面，12：法人结婚证，13：法人户口簿首页，14：法人户口簿本人页，15：法人户口簿配偶页，16：反担保人身份证人面像，17：反担保人身份证国徽面，18：反担保人配偶身份证人面像，19：反担保人配偶身份证国徽面，20：反担保人结婚证，21：反担保人户口簿首页，22：反担保人户口簿本人页，23：反担保人户口簿配偶页，24：反担保人个人工作证明，25：反担保人身份证复印件，26：反担保人个人征信报告，27：委托担保申请书，28：股东会议纪要，29：上一年度财务报表，30：当期财务报表，31：上一年度审计报告，32：纳税证明，33：近三月银行对账单，34：主要账户银行流水，35：购销合同，36：当前从事项目情况证明，37：企业基本注册信息查询单，38：企业固定资产证明，39：法人资产证明（房产）, 40：法人资产证明（地产）,41：法人资产证明（车辆）,42：反担保抵（质）押复印件，43：代理相关产品授权书，44：代理相关品牌合同（商业），45：生产经营许可证（工业），46：水电费发票（一年），47：人员工资表，48：纳税申报表，49：完税证明 */
    @Excel(name = "文件类型 1：公司章程，2：开户许可证 3：申请企业征信报告 4：关联企业征信报告 5：企业法人征信报告 6.实际控股人征信报告 7:实际控股人配偶征信报告")
    private String type;
    /**
     * 文件分类：a：基础附件 b：申报附件 c：文件出具 d：其他附件
     */
    private String bigType;

    public String getBigType() {
        return bigType;
    }

    public void setBigType(String bigType) {
        this.bigType = bigType;
    }

    public void setFjId(Long fjId)
    {
        this.fjId = fjId;
    }

    public Long getFjId() 
    {
        return fjId;
    }
    public void setLoanApplicationId(Long loanApplicationId) 
    {
        this.loanApplicationId = loanApplicationId;
    }

    public Long getLoanApplicationId() 
    {
        return loanApplicationId;
    }
    public void setLoanApplicationNumber(String loanApplicationNumber) 
    {
        this.loanApplicationNumber = loanApplicationNumber;
    }

    public String getLoanApplicationNumber() 
    {
        return loanApplicationNumber;
    }
    public void setOldName(String oldName) 
    {
        this.oldName = oldName;
    }

    public String getOldName() 
    {
        return oldName;
    }
    public void setName(String name) 
    {
        this.name = name;
    }

    public String getName() 
    {
        return name;
    }
    public void setUrl(String url) 
    {
        this.url = url;
    }

    public String getUrl() 
    {
        return url;
    }
    public void setType(String type) 
    {
        this.type = type;
    }

    public String getType() 
    {
        return type;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("fjId", getFjId())
            .append("loanApplicationId", getLoanApplicationId())
            .append("loanApplicationNumber", getLoanApplicationNumber())
            .append("oldName", getOldName())
            .append("name", getName())
            .append("url", getUrl())
            .append("type", getType())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
